.menu-toggle {
    display: none;
    flex-direction: column;
    gap: 6px;
    cursor: pointer;
    z-index: 2000;
}

/* =========================
   MOBILE
========================= */
@media (max-width: 768px) {

    .menu-toggle {
        display: flex;
    }

    .menu-toggle span {
        width: 28px;
        height: 3px;
        background: white;
        border-radius: 3px;
        transition: 0.35s ease;
    }

    /* ICONO X */
    .menu-toggle.active span:nth-child(1) {
        transform: translateY(9px) rotate(45deg);
    }

    .menu-toggle.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-toggle.active span:nth-child(3) {
        transform: translateY(-9px) rotate(-45deg);
    }

    /* =========================
       MENU LATERAL
    ========================= */
    .nav {
        position: fixed;
        top: 0;
        right: 0;
        left: auto;

        width: 50%;
        height: 100vh;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;

        background: rgba(0,0,0,0.95);

        transform: translateX(200%);
        transition: transform 0.5s ease;

        z-index: 1500;
    }

    .nav a {
        font-size: 30px;
    }

    .nav.active {
        transform: translateX(0);
    }
}